<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
CursorConfig..::.IsolationDegree Field
CursorConfig Class See Also

The isolation degree the cursor should use.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public Isolation IsolationDegree

Visual Basic (Declaration)

    Public IsolationDegree As Isolation

Visual C++

    public:
    Isolation IsolationDegree

# Remarks

DEGREE_TWO ensures the stability of the current data item read by this cursor but permits data read by this cursor to be modified or deleted prior to the commit of the transaction for this cursor.

DEGREE_ONE allows read operations performed by the cursor to return modified but not yet committed data. Silently ignored if the ReadUncommitted was not specified when the underlying database was opened.

# See Also

CursorConfig Class
BerkeleyDB Namespace